%define major		0
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Name:		aften
Version:	0.0.8
Release:	%mkrel 11
Summary:	An A/52 (aka AC-3) audio encoder
License:	GPLv2+ and LGPLv2+ and BSD
Group:		Sound/Editors and Converters
URL:		https://aften.sourceforge.net/
Source:		https://sourceforge.net/projects/aften/files/%{name}/%{version}/%{name}-%{version}.tar.bz2
ExclusiveArch:	%{ix86} x86_64

BuildRequires:	cmake

Requires:	%{libname} = %{version}-%{release}

%description
Aften is an audio encoder which generates compressed audio streams based on
ATSC A/52 specification. This type of audio is also known as AC-3 or Dolby®
Digital and is one of the audio codecs used in DVD-Video content.

#----------------------------------------------------------------------------

%package -n	%{libname}
Summary:	Library for %{name}
Group:		System/Libraries

%description -n	%{libname}
This package provides the library for %{name}.

#----------------------------------------------------------------------------

%package -n	%{develname}
Summary:	Development files for %{name}
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n	%{develname}
This package contains development files for %{name}.

#----------------------------------------------------------------------------
%prep
%setup -q

# fix for x86_64 build
sed -i -e "s|DESTINATION lib|DESTINATION %{_lib}|g" CMakeLists.txt

%build
%cmake \
	-DSHARED:STRING="yes"
%cmake_build

%install
%cmake_install

%files
%doc README Changelog
%license COPYING
%{_bindir}/*

%files -n %{libname}
%{_libdir}/libaften.so.%{major}{,.*}

%files -n %{develname}
%{_libdir}/libaften.so
%{_includedir}/%{name}/


%changelog
* Thu May 04 2023 daviddavid <daviddavid> 0.0.8-11.mga9
+ Revision: 1955838
- fix owner of include dir

* Mon Mar 14 2022 umeabot <umeabot> 0.0.8-10.mga9
+ Revision: 1791707
- Mageia 9 Mass Rebuild
+ danf <danf>
- Switch URLs from http: to https:

* Wed Feb 12 2020 umeabot <umeabot> 0.0.8-9.mga8
+ Revision: 1511628
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 0.0.8-8.mga7
+ Revision: 1297297
- Mageia 7 Mass Rebuild

* Fri Mar 04 2016 blino <blino> 0.0.8-7.mga6
+ Revision: 985389
- build only on x86 since aften uses SIMD (or PPC, but we do not support it)

* Mon Feb 08 2016 umeabot <umeabot> 0.0.8-6.mga6
+ Revision: 945062
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.0.8-5.mga5
+ Revision: 739909
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.0.8-4.mga5
+ Revision: 686465
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 0.0.8-3.mga5
+ Revision: 677715
- Mageia 5 Mass Rebuild

* Wed Aug 20 2014 daviddavid <daviddavid> 0.0.8-2.mga5
+ Revision: 666022
- add more provides on devel package
- minor cosmetic change

* Tue Feb 25 2014 david-david <david-david> 0.0.8-1.mga5
+ Revision: 597118
- disable static devel package (not needed)
- imported package aften

